<div class="product-catalog">
  <div class="filtered-product-by-categories">
    <app-product-filter [category]="category"></app-product-filter>
  </div>
  <div class="product-card-list" *ngIf="cart$ | async as cart">
    <ng-container *ngFor="let product of filteredProducts">
      <app-product-card
        [product]="product"
        [shopping-cart]="cart"
      ></app-product-card>
    </ng-container>
  </div>
</div>
